Bug 589998 - pinentry-gtk-2 doesn't work correctly with Fluxbox/Blackbox WMs
Summary: pinentry-gtk-2 doesn't work correctly with Fluxbox/Blackbox WMs
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: pinentry   
(Show other bugs)
Version: 12
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Stanislav Ochotnicky
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-07 13:29 UTC by Stanislav Ochotnicky
Modified: 2010-05-17 18:53 UTC (History)
3 users (show)

Fixed In Version: pinentry-0.8.0-3.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-17 18:51:43 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Stanislav Ochotnicky 2010-05-07 13:29:07 UTC
Description of problem:
When trying to use pinentry-gtk in Fluxbox/Blackbox it sometimes fails to grab keyboard and this results in cancelled pin input


Version-Release number of selected component (if applicable):
current (0.8.0-1) (also applied to 0.8.0-2 on F-13

How reproducible:
sometimes

Steps to Reproduce:
run
echo getpin | pinentry-gtk

while using Fluxbox/Blackbox WM. You might need to run it a few times to hit the race condition

Actual results:
Pinentry closes with error message that it was unable to grab keyboard


Expected results:
Window with pinentry dialog should show up


Additional info:

Comment 1 Fedora Update System 2010-05-07 14:21:01 UTC
pinentry-0.8.0-2.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/pinentry-0.8.0-2.fc12

Comment 2 Fedora Update System 2010-05-07 14:21:10 UTC
pinentry-0.8.0-3.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/pinentry-0.8.0-3.fc13

Comment 3 Fedora Update System 2010-05-08 16:11:20 UTC
pinentry-0.8.0-3.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update pinentry'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/pinentry-0.8.0-3.fc13

Comment 4 Fedora Update System 2010-05-10 17:05:41 UTC
pinentry-0.8.0-2.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update pinentry'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/pinentry-0.8.0-2.fc12

Comment 5 Fedora Update System 2010-05-17 18:51:20 UTC
pinentry-0.8.0-2.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2010-05-17 18:53:05 UTC
pinentry-0.8.0-3.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.